unity video tearing when moving windows in oneiric with nvidia-current

Bug #798868 reported by Fabien Tassin on 2011-06-17
132
This bug affects 26 people
Affects Status Importance Assigned to Milestone
Compiz Core
Medium
Daniel van Vugt
Ubutter
Undecided
Unassigned
compiz (Ubuntu)
High
Daniel van Vugt
nvidia-graphics-drivers (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: unity

In oneiric, moving anything (even small windows) flickers a lot, and shows slow vertical redraws.

This is using the nvidia-current driver. Tested with a 9600GT and a GTX260 on two different computers. Both painfully slow.

When using gnome-shell (and mutter) from oneiric (no PPA) on the same boxes, with everything else untouched (X, nvidia-current, gtk), it's as fast as expected

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: unity 3.8.14-0ubuntu2
ProcVersionSignature: Ubuntu 3.0-0.1-generic 3.0.0-rc2
Uname: Linux 3.0-0-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,gnomecompat,commands,vpswitch,resize,snap,mousepoll,regex,move,place,imgpng,session,animation,wall,workarounds,expo,ezoom,staticswitcher,fade,scale,unityshell]
Date: Fri Jun 17 20:05:21 2011
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100331)
InstallationMedia_: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100331)
InstallationMedia__: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100331)
InstallationMedia___: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100331)
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/usr/bin/tcsh
ProcVersionSignature_: Ubuntu 3.0-0.1-generic 3.0.0-rc2
ProcVersionSignature__: Ubuntu 3.0-0.1-generic 3.0.0-rc2
ProcVersionSignature___: Ubuntu 3.0-0.1-generic 3.0.0-rc2
SourcePackage: unity
UpgradeStatus: Upgraded to oneiric on 2011-05-09 (39 days ago)
---
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,gnomecompat,commands,vpswitch,resize,snap,mousepoll,regex,move,place,imgpng,session,animation,wall,workarounds,expo,ezoom,staticswitcher,fade,scale,unityshell]
DistroRelease: Ubuntu 11.10
NonfreeKernelModules: nvidia
Package: nvidia-graphics-drivers
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/usr/bin/tcsh
ProcVersionSignature: Ubuntu 3.0-2.3-generic 3.0.0-rc4
Tags: unity-2d oneiric running-unity unity-2d oneiric running-unity
Uname: Linux 3.0-2-generic i686
UpgradeStatus: Upgraded to oneiric on 2011-05-09 (58 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare wireshark

Related branches

Fabien Tassin (fta) wrote :
Harry van Haaren (harryhaaren) wrote :

Hi, Could you provide some information as to what packages / shell you were using when the slow redraws occur? Also, does glxgears run as fast as it does using the normal gnome-shell?

As compiz is OpenGL based, I'm guessing that's what its gonna be... incomplete for now, please provide info!

Changed in unity:
status: New → Incomplete
Changed in unity (Ubuntu):
status: New → Incomplete
Changed in compiz (Ubuntu):
status: New → Incomplete
Fabien Tassin (fta) wrote :

It's not really a problem with the apps themselves, glxgears (which i don't consider a benchmarking tool btw) runs at ~60fps with the default (tiny) size. It's slow to *move* all windows. xterm, gedit, chromium, evolution, ... all show the same slow refresh when moved. It seems to be a window manager issue, or at least a window-decorator issue.

All the versions were oneiric up-to-date as of last week. In the last few days, some deps are missing to complete the upgrade, but it's not a recent regression, it's been like that for weeks.

Fabien Tassin (fta) wrote :

It tried to capture this in video with my camera, but it's difficult to see (camera frame rate vs monitor frame rate vs slow unity refresh rate). Look at the right border of each window, you should see the vertical redraws

This is a bug in the nvidia driver. Unfortunately, it doesn't seem to
limit the resources that any one client can take up, so if a client is
not vsyncing then it will chew up all the graphics resources.

On Tue, Jun 21, 2011 at 12:16 AM, Fabien Tassin <email address hidden> wrote:
> It's not really a problem with the apps themselves, glxgears (which i
> don't consider a benchmarking tool btw) runs at ~60fps with the default
> (tiny) size. It's slow to *move* all windows. xterm, gedit, chromium,
> evolution, ... all show the same slow refresh when moved. It seems to be
> a window manager issue, or at least a window-decorator issue.
>
> All the versions were oneiric up-to-date as of last week. In the last
> few days, some deps are missing to complete the upgrade, but it's not a
> recent regression, it's been like that for weeks.
>
> --
> You received this bug notification because you are a member of compiz
> packagers, which is subscribed to compiz in Ubuntu.
> https://bugs.launchpad.net/bugs/798868
>
> Title:
>  unity very slow to move windows in oneiric
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/798868/+subscriptions
>
> _______________________________________________
> Mailing list: https://launchpad.net/~compiz
> Post to     : <email address hidden>
> Unsubscribe : https://launchpad.net/~compiz
> More help   : https://help.launchpad.net/ListHelp
>

--
Sam Spilsbury

@smspillaz: why isn't gnome3/mutter impacted then?

They use a different extension to do vblank syncing iirc. It's not
really a simple answer, it might be something that can be worked
around in compiz, but I'd like to avoid that if possible.

On Tue, Jun 21, 2011 at 4:54 PM, Fabien Tassin <email address hidden> wrote:
> @smspillaz: why isn't gnome3/mutter impacted then?
>
> --
> You received this bug notification because you are a member of Unity
> Bugs, which is subscribed to unity in Ubuntu.
> https://bugs.launchpad.net/bugs/798868
>
> Title:
>  unity very slow to move windows in oneiric
>
> Status in Unity:
>  Incomplete
> Status in “compiz” package in Ubuntu:
>  Incomplete
> Status in “unity” package in Ubuntu:
>  Incomplete
>
> Bug description:
>  Binary package hint: unity
>
>  In oneiric, moving anything (even small windows) flickers a lot, and
>  shows slow vertical redraws.
>
>  This is using the nvidia-current driver. Tested with a 9600GT and a
>  GTX260 on two different computers. Both painfully slow.
>
>  When using gnome-shell (and mutter) from oneiric (no PPA) on the same
>  boxes, with everything else untouched (X, nvidia-current, gtk), it's
>  as fast as expected
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.10
>  Package: unity 3.8.14-0ubuntu2
>  ProcVersionSignature: Ubuntu 3.0-0.1-generic 3.0.0-rc2
>  Uname: Linux 3.0-0-generic i686
>  NonfreeKernelModules: nvidia
>  Architecture: i386
>  CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,gnomecompat,commands,vpswitch,resize,snap,mousepoll,regex,move,place,imgpng,session,animation,wall,workarounds,expo,ezoom,staticswitcher,fade,scale,unityshell]
>  Date: Fri Jun 17 20:05:21 2011
>  InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100331)
>  InstallationMedia_: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100331)
>  InstallationMedia__: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100331)
>  InstallationMedia___: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100331)
>  ProcEnviron:
>   LANGUAGE=en_US:en
>   PATH=(custom, user)
>   LANG=en_US.UTF-8
>   SHELL=/usr/bin/tcsh
>  ProcVersionSignature_: Ubuntu 3.0-0.1-generic 3.0.0-rc2
>  ProcVersionSignature__: Ubuntu 3.0-0.1-generic 3.0.0-rc2
>  ProcVersionSignature___: Ubuntu 3.0-0.1-generic 3.0.0-rc2
>  SourcePackage: unity
>  UpgradeStatus: Upgraded to oneiric on 2011-05-09 (39 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/798868/+subscriptions
>

--
Sam Spilsbury

Setting to confirm per Sam's comment

Changed in unity (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Confirmed
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
Jean-Baptiste Lallement (jibel) wrote :

And closing unity task since it has to be fixed in the driver or compiz

Changed in unity (Ubuntu):
status: Confirmed → Invalid
Changed in nvidia-graphics-drivers (Ubuntu):
importance: Undecided → Medium
Changed in compiz (Ubuntu):
status: Incomplete → Confirmed
importance: Undecided → Medium
Changed in unity:
status: Incomplete → Invalid
summary: - unity very slow to move windows in oneiric
+ unity very slow to move windows in oneiric with nvidia-current

It seems the unity apport hook no longer properly provides the necessary X logs when filing bugs. Please execute the following command in a terminal after reproducing the issue, and it it will automatically gather debugging information needed for this bug:

  apport-collect 798868

Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

Changed in nvidia-graphics-drivers (Ubuntu):
status: Incomplete → Confirmed

doesn't seem to add what you add. Here is a nvidia-bug-report

Bryce Harrington (bryce) on 2011-08-22
summary: - unity very slow to move windows in oneiric with nvidia-current
+ unity very slow to move windows (tearing) in oneiric with nvidia-current

@Fabien, can you confirm you're still seeing this problem?

@Sam, before we approach NVIDIA about this, would you mind elaborating on what you believe needs to be changed in the driver to address this? I've not heard about drivers needing to throttle/governor client apps, but is that what you're suggesting?

Bryce Harrington (bryce) on 2011-08-30
Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Incomplete
bugbot (bugbot) wrote :

We're closing this bug since it is has been some time with no response from the original reporter. However, if the issue still exists please feel free to reopen with the requested information. Also, if you could, please test against the latest development version of Ubuntu, since this confirms the bug is one we may be able to pass upstream for help.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Incomplete → Expired

it is happening to me today, with completely updated oneiric snapshot

fraenki (fw-moov) wrote :

It still happens for me with Ubuntu 11.10, too. Though, it only happens when Firefox is running. If I close firefox, everything is smooth again. And it only happens when running for some time (current uptime is 3 days).

Akels Azis (akels14) wrote :

The bug is present on hp compaq 6715b
The windows moves unusably slow :(
Ubuntu 11.04 with unity was flawsly

Scott J. Goldman (scottjgo) wrote :

same issue here. worked fine until after the upgrade.

Reid Kaufmann (reid-kaufmann) wrote :

I downgraded to nvidia-current_275.09.07-0ubuntu4_amd64 (from 280) and still observe horribly slow window dragging. I don't see any tearing, but window movement lags the mouse by 1-2 seconds. I have an onboard Quadro NVS 210S (according to lspci) and employ two displays (twinview). Everything worked fine with 11.04 and it broke with the upgrade to 11.10. :)

Reid Kaufmann (reid-kaufmann) wrote :

Also tried nvidia-173 but still observe the same behavior. I'm not convinced that this is a nvidia driver problem. Perhaps I'm not observing the same problem that was originally posted.

Martin Owens (doctormo) wrote :

I can confirm the issue with my system76 Pan3 nvidia-driver. Moving any window causes compiz cpu load to spike to 100%. Even if this needs fixing in the driver (why I don't know) compiz is broken in chewing through resources. I'd rather it just failed to move windows and then we know that there is an issue that can't be ignored than move the windows with software rendering and having the bug be ignored.

Jeffrey Bolle (jeffreybolle) wrote :

I am observing this problem on both my desktop at work and my laptop at home. Both machines use nvidia drivers. Let me know if you need any details.

Nate Wiebe (natew) wrote :

Confirming using the x-swat ppa. Should be version 285.05.09. I have great performance, except when dragging windows around, there is around 1 second of delay for the window to move.

I am running fully up to date 11.10 x64 on a System76 Serp6 with an NVIDIA GTX285m.

I can confirm this issue too, with core i7 Ubuntu 11.10 nvidia-current driver (9600GT) desktop system and notebook ASUS K52N (radeon graphic card with appropriate drivers) which might be the proof that is not clearly the issue of nvidia drivers

Daniel van Vugt (vanvugt) wrote :

The general problem with vsync in compiz is one I ran into a while back when hacking the compiz OpenGL plugin. Only just made a bug for it today though: bug 880707.

Still not clear if this is the same bug or something Nvidia-specific.

summary: - unity very slow to move windows (tearing) in oneiric with nvidia-current
+ unity video tearing when moving windows in oneiric with nvidia-current
Daniel van Vugt (vanvugt) wrote :

Looking at Fabien's video it's evident this is a tearing/vsync problem. Not a slowness problem. There is a difference :)

Dave Chiluk (chiluk) wrote :

I Daniel Van Vugt, I think there are two different problems being described here. I have the slow windows issue, but not the tearing issue as described by the original poster as seen in his video. Which bug should be used for slowly moving windows?

Daniel van Vugt (vanvugt) wrote :

Dave, if you're sure that tearing is not your problem but just a suboptimal frame rate, then I suggest you look at:

ATI and Intel: bug 763005
NVIDIA: bug 92599

If that doesn't help then check the refresh rate set in CCSM (package compizconfig-settings-manager) is correct (the same as your monitor refresh rate).

Other than that, I don't know. But it does sound like you problem is different to this bug so should be discussed elsewhere. If you don't find an appropriate bug then please log a new one.

Peter Ries (peterriesde) wrote :

Hard to tell if it's the same effect as in original posting, but the description of Reid Kaufman, Nate Wiebe fits best.

Good and smooth desktop performance only moving windows around is like slow-mo. Windows lagging behind mouse cursor when being moved about 1-2 seconds (resizing as well) - smooth non flickering, but way too slow.

I installed a fresh oneiric ubuntu 11.10 on my netbook Samsung NC10 with intel graphic (OK, no probs) and on my desktop with onboard nVidia 8300 (slow window movement here!).

Out of frustration after "nvidia-current" and "current with updates" and most recent from nvidia website in combination with vsync on/off, tripplebuffer tricks a.s.o. didn't work I finally switched both machines to Lubuntu 11.10. Everything OK on both machines because no compositing on desktop by default.

As I wanted some eyecandy I installed xcompmgr on both machines with just shadows attached to my windows: the effect is back on my nvidia-machine just like on ubuntu/unity!

So I suppose it's not unity but nvidia + compositing (+ current xorg-version-of ubuntu?)

I have no idea where to search nor what to post to help to find a solution to this.

Changed in compiz (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
Daniel van Vugt (vanvugt) wrote :

I've just tested nvidia-current and reproduced some (slight) tearing. Installing this fix appears to solve the issue:
lp:~vanvugt/compiz-core/fix-880707.2

Changed in compiz-core:
importance: Undecided → Medium
assignee: nobody → Daniel van Vugt (vanvugt)
status: New → In Progress

I think I've the same issue: moving windows around is not smooth and has a 1-2 second lag between window updates. The rest of the animations is smooth. Also oneiric, nvidia proprietary driver and unity.

Daniel van Vugt (vanvugt) wrote :

Please log the 1-2 second lag problem as a separate bug. The bug description for this one seems to be entirely about tearing.

Daniel van Vugt (vanvugt) wrote :

Experimental fixes for this and related performance bugs are now available
for testing in ppa:vanvugt/compiz and ppa:vanvugt/unity. For the best
results I recommend trying both together. But testing them individually is
useful too.

IMPORTANT NOTES:

  * The fixes in ppa:vanvugt/compiz REQUIRE that "Sync To VBlank" is ENABLED
    in CompizConfig Settings Manager (OpenGL section).
    This is the default setting when Ubuntu 11.10 is installed.

  * When using ppa:vanvugt/compiz you should DISABLE the workaround
    "Force full screen redraws (buffer swap) on repaint" in
    CompizConfig Settings Manager (Workarounds section).
    This is the default setting when Ubuntu 11.10 is installed.

  * I don't claim to have fixed all tearing. I only claim that the amount of
    tearing in oneiric with the fix is no longer worse than in natty.

  * nouveau: If you are using the "nouveau" driver for NVIDIA chips you will
    need to enable sync-to-vblank support in the driver options because
    nouveau has it disabled by default. You can do this by editing
    /etc/X11/xorg.conf and adding:
       Section "Device"
           Identifier "My Graphics"
           Option "GLXVBlank" "on"
       EndSection
    Then log out and in again for it to take effect.

  * fglrx (Catalyst): The fglrx driver also disables sync-to-vBlank support
    by default. To fix this:
      1. Open Catalyst Control Center.
      2. Go to 3D > More Settings.
      3. Set "Wait for vertical refresh" to
         "On, unless application specifies".

  * Please don't try using the Benchmark plugin in compiz-plugins-extra
    because it is broken and misleading (bug 898548).

Please leave feedback in the relevant bug reports.

- Daniel

---

ppa:vanvugt/compiz | https://launchpad.net/~vanvugt/+archive/compiz
compiz (1:0.9.6+bzr20110929-0ubuntu6vv2) oneiric

  * Added proposed fix for inaccurate frame timing causing tearing and
    stuttering.
    (LP: #880707) (LP: #888039) (LP: #92599) (LP: #798868) (LP: #876575)

ppa:vanvugt/unity | https://launchpad.net/~vanvugt/+archive/unity
unity (4.24.0-0ubuntu2b1vv4) oneiric; urgency=low

  * Fix major performance regressions due to unnecessary UnityFBO binding
    (LP: #861061) (LP: #880707)
    UnityFBO was being bound even when not required. This caused major lag in
    glPaintOutput, which slowed down all rendering. This was seen in reduced
    framerates in apps (LP: #861061) and significantly worse screen tearing
    with Unity 4.x compared to 3.x (LP: #880707).

Omer Akram (om26er) on 2011-12-04
no longer affects: unity (Ubuntu)
no longer affects: unity
Changed in compiz (Ubuntu):
importance: Medium → High
Daniel van Vugt (vanvugt) wrote :

Omer, I think this should still affect Unity because of the bug description, and because all evidence so far suggests the root cause of the tearing regression was the UnityFBO code (details in bug 861061).

Though, if the proposed fixes solve this bug for Fabien then this is probably a duplicate of bug 880707.

tags: added: performance
quequotion (quequotion) wrote :

Try adding this to /etc/X11/xorg.conf, in the "Device" section:

 Option "OnDemandVBlankInterrupts" "True"

Supposedly this is a power-saving function, but I find it also gives me a nearly tear-free desktop.

Changed in compiz-core:
status: In Progress → Fix Committed
Changed in compiz-core:
milestone: none → 0.9.7
jan (janeser) wrote :

Same issue here! My Specs;
Intel T4400
2gb DDR3
GT240M
Normally system works ok but when dragging windows frame rate goes down like hell!

Launchpad Janitor (janitor) wrote :
Download full text (6.6 KiB)

This bug was fixed in the package compiz - 1:0.9.7.0~bzr2995-0ubuntu1

---------------
compiz (1:0.9.7.0~bzr2995-0ubuntu1) precise; urgency=low

  [ Didier Roche ]
  * New upstream snapshot:
    - Fix slow/stuttering display with fglrx (LP: #763005)
    - Don't dynamically link to compiz_core
    - Fix build failures with glib 2.30 (oneiric) (LP: #921406)
    - Fix uninitialized variable warnings in valgrind (LP: #921451)
    - Fixes up a bunch of boost::variant edge cases
    - Fixes a race condition where the xig restart test would fail spuriously
    - Incorrect (low/stuttering) refresh rate with NVIDIA driver (LP: #92599)
    - Benchmark window slows the system and degrades graphics resources
      (LP: #254561)
    - Windows that hide themselves when closed don't appear in any
      "this workspace" switcher (LP: #684731)
    - hang in g_spawn_sync and select() (LP: #690239)
    - word misspelled - bunding (LP: #694169)
    - sometimes, restored window placed too high. (LP: #716521)
    - Compiz clears the root window in the installer session (LP: #720679)
    - unity-window-decorator: When switching between windows, Orca does
      not speak the title of the focused window. (LP: #724093)
    - Cannot open a window that starts iconified (LP: #732997)
    - Minimize animation flickr when for maximized apps (LP: #737125)
    - Pixmap memory leak in gtk-window-decorator (LP: #740258)
    - Windows should not automatically be focused when opened if the
      focus is on another application (LP: #748840)
    - [sandybridge] Graphics tearing when playing video (LP: #755841)
    - Compiz's "Sync to Vblank" makes display stutter/slow with fglrx
      (LP: #763005)
    - [regression] Moving windows lags behind the mouse by 1-2 seconds;
      appear to freeze when dragging. (LP: #764330)
    - Launcher - Spread should not affect the state of window (LP: #764673)
    - Clicking on a tweet/message link sometimes does not work (LP: #790565)
    - scrolling on top of a close animation switches viewports (LP: #795065)
    - unity video tearing when moving windows in oneiric with
      nvidia-current (LP: #798868)
    - dialogs really slow to be displayed since the compiz update (LP: #812711)
    - It is possible to stack windows relative to windows that are
      destroyed (LP: #837252
    - Should keep list of windows last sent to server and last recv
      from server (LP: #841727)
    - compiz and X can disagree on the stacking order (LP: #845719)
    - A minimized window 'remains' behind on the desktop if
      /apps/compiz-1/plugins/unityshell/screen0/options/
      show_minimized_windows is set to true (LP: #847967)
    - maximized windows fail to update their input extents when
      undecorated (LP: #853734)
    - resizing bugs with xterm (LP: #854725)
    - crash on closing a window (LP: #856015)
    - Java application windows cut-off/truncated/not displayed properly
      (LP: #857201)
    - compiz crashed with SIGSEGV in CompScreen::insertServerWindow()
      (LP: #857487)
    - compiz crashed with SIGABRT in raise() (LP: #857738)
    - Applications which create multiple windows that are transients of
      each other...

Read more...

Changed in compiz (Ubuntu):
status: Confirmed → Fix Released
Changed in compiz-core:
status: Fix Committed → Fix Released
pst007x (turone) wrote :

I done this which reduced the problem for me:

NVidia drivers PPA, and upgrade:

sudo apt-add-repository ppa:ubuntu-x-swat/x-updates

sudo apt-get update && sudo apt-get install nvidia-current nvidia-settings

(I tried Additional Drivers: "post-release updates" didn't work for me)

Added following PPA and upgrade:

sudo apt-add-repository ppa:vanvugt/compiz

sudo apt-get update && sudo apt-get upgrade

Or add via a source manager:

deb http://ppa.launchpad.net/vanvugt/compiz/ubuntu oneiric main

deb-src http://ppa.launchpad.net/vanvugt/compiz/ubuntu oneiric main

then update and upgrade compiz, the source is found here: https://launchpad.net/~vanvugt/+archive/compiz

Install Compiz-Setting-Manager:

(this is found in the Ubuntu software centre)

Open and navigate to Composite setting:

DETECT REFRESH RATE: (UNTICK)

REFRESH RATE: (MAX)

Open and navigate to Mouse Position Polling setting:

MOUSE POLL POSITION: (1).

Navigate to Snapping Windows setting:

SNAPPING WINDOWS: (UNTICK)

Navigate to MOVE WINDOW:

OPACITY: 30

LAZY POSITIONING: (UNTICK)

Configuring The Right Driver

The next thing to do is to make sure that your machine uses the correct driver. To ensure that, we are going to blacklist the nouveau driver first. Open a terminal and enter the following to do so:

sudo nano /etc/modprobe.d/blacklist.conf

At the end of the document, add this line:

[...]

blacklist nouveau

Afterwards update your initial ram file system by entering this into a terminal:

sudo update-initramfs -u -v

Then check:

sudo nano /etc/X11/xorg.conf

Find the Device section and make sure the driver is set to "nvidia". It should look somewhat like this:

[...]

Section "Device"

Driver "nvidia"

Identifier "Default Device"

Option "NoLogo" "True"
EndSection

[...]

Frantique (undernetangel) wrote :

It is something else here, not the nvidia: with Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller I can confirm the same issue!

The machine is a HP Compaq 6710b.

Changed in ubutter:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers